<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCcdFeatureConfigReq StructType
 * @subpackage Structs
 */
class GetCcdFeatureConfigReq extends AbstractStructBase
{
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XCcdFeatureConfig
     */
    public $returnedTags;
    /**
     * The paramName
     * @var string
     */
    public $paramName;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetCcdFeatureConfigReq
     * @uses GetCcdFeatureConfigReq::setReturnedTags()
     * @uses GetCcdFeatureConfigReq::setParamName()
     * @uses GetCcdFeatureConfigReq::setSequence()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XCcdFeatureConfig $returnedTags
     * @param string $paramName
     * @param int $sequence
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XCcdFeatureConfig $returnedTags = null, $paramName = null, $sequence = null)
    {
        $this
            ->setReturnedTags($returnedTags)
            ->setParamName($paramName)
            ->setSequence($sequence);
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCcdFeatureConfig
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XCcdFeatureConfig $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCcdFeatureConfigReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\XCcdFeatureConfig $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get paramName value
     * @return string|null
     */
    public function getParamName()
    {
        return $this->paramName;
    }
    /**
     * Set paramName value
     * @param string $paramName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCcdFeatureConfigReq
     */
    public function setParamName($paramName = null)
    {
        $this->paramName = $paramName;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCcdFeatureConfigReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
